> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gravitex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update asset group (UpdateAssetGroup)

> UpdateAssetGroup — POST /api/v3/seedance

## Introduction

Update an asset group. **Currently only** `Name` **and** `Description` **are supported**.

## Authentication

<ParamField header="Authorization" type="string" required>
  Bearer Token, e.g. `Bearer sk-your_token_key`
</ParamField>

## Request parameters

<ParamField body="Id" type="string" required>
  Asset group ID
</ParamField>

<ParamField body="Name" type="string">
  New name
</ParamField>

<ParamField body="Description" type="string">
  New description
</ParamField>

<ParamField body="ProjectName" type="string" default="default">
  Project name
</ParamField>

## Request example

```bash theme={null}
curl -X POST "https://api.gravitex.ai/api/v3/seedance?Action=UpdateAssetGroup&Version=2024-01-01" \
  -H "Authorization: Bearer sk-your_token_key" \
  -H "Content-Type: application/json" \
  -d '{"Id": "group-20260710-abcde", "Name": "角色A-v2", "Description": "更新描述"}'
```

## Response example

```json theme={null}
{
  "ResponseMetadata": {"Action": "UpdateAssetGroup"},
  "Result": {"Id": "group-20260710-abcde"}
}
```
